0

When I first installed the module, it'd only appear in admin pages.

After some investigation, I discovered the cause was some sort of conflict with my themes jquery: jquery-1.11.2.min.js.

If I disable it, the module works. If I enable it, the module doesn't work in non-admin pages.

The error message I'm getting is

TypeError: $.cookie is not a function  

I think the module is using a older version of jquery, and that API has since been deprecated in newer version. I can't update the the modules jquery without modifying the module itself, nor can I downgrade my theme's jquery.

How do I have the module strictly use its own jquery and not use my theme's (if that's the cause of the problem)?

0

You can use https://www.drupal.org/project/jqmulti to manage multiple versions of jQuery on your site

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.